Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455478 - 2.6.26 backport of "check physical address range in ioremap" into RHEL5-U3
Summary: 2.6.26 backport of "check physical address range in ioremap" into RHEL5-U3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Larry Woodman
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 455409
TreeView+ depends on / blocked
 
Reported: 2008-07-15 17:57 UTC by Larry Woodman
Modified: 2009-01-20 20:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:15:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
Backported patch to address this problem. (deleted)
2008-07-15 17:57 UTC, Larry Woodman
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Larry Woodman 2008-07-15 17:57:23 UTC
Description of problem:

BUG: unable to handle kernel paging request at ffffc20001a0a000
IP: [<ffffffff8021dacc>] clflush_cache_range+0xc/0x25
PGD 1bf80e067 PUD 1bf80f067 PMD 1bb497067 PTE 80000047000ee17b

This is on a Intel machine with 36bit physical address space. The PTE
entry references 47000ee000, which is outside of it.

Add a check for the physical address space and warn/printk about the
stupid caller.


Version-Release number of selected component (if applicable):

RHEL5-U3.

How reproducible:

Need to pass page address to ioremap().

Steps to Reproduce:
1.
2.
3.
  
Actual results:

BUG: unable to handle kernel paging request at ffffc20001a0a000

Expected results:

ioremap: invalid physical address 0x00000000xxxxxxxx

Additional info:

Comment 1 Larry Woodman 2008-07-15 17:57:23 UTC
Created attachment 311857 [details]
Backported patch to address this problem.

Comment 2 Linda Wang 2008-07-31 18:42:55 UTC
Raised as exception to 5.3:

Needed as part of 2.5.26 x86 backport support 

Comment 3 RHEL Product and Program Management 2008-07-31 18:43:51 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Don Zickus 2008-09-19 15:39:14 UTC
in kernel-2.6.18-116.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 8 errata-xmlrpc 2009-01-20 20:15:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.